# \Thelia\Model\BaseOrderQuery

Base class that represents a query for the 'order' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByRef()
filterByCustomerId()
filterByAddressInvoice()
filterByAddressDelivery()
filterByInvoiceDate()
filterByCurrencyId()
filterByCurrencyRate()
filterByTransaction()
filterByDeliveryNum()
filterByInvoice()
filterByPostage()
filterByPayment()
filterByCarrier()
filterByStatusId()
filterByLang()
filterByCreatedAt()
filterByUpdatedAt()
filterByCurrency()
joinCurrency()
useCurrencyQuery()
filterByCustomer()
joinCustomer()
useCustomerQuery()
filterByOrderAddressRelatedByAddressInvoice()
joinOrderAddressRelatedByAddressInvoice()
useOrderAddressRelatedByAddressInvoiceQuery()
filterByOrderAddressRelatedByAddressDelivery()
joinOrderAddressRelatedByAddressDelivery()
useOrderAddressRelatedByAddressDeliveryQuery()
filterByOrderStatus()
joinOrderStatus()
useOrderStatusQuery()
filterByOrderProduct()
joinOrderProduct()
useOrderProductQuery()
filterByCouponOrder()
joinCouponOrder()
useCouponOrderQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByRef()
orderByCustomerId()
orderByAddressInvoice()
orderByAddressDelivery()
orderByInvoiceDate()
orderByCurrencyId()
orderByCurrencyRate()
orderByTransaction()
orderByDeliveryNum()
orderByInvoice()
orderByPostage()
orderByPayment()
orderByCarrier()
orderByStatusId()
orderByLang()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByRef()
groupByCustomerId()
groupByAddressInvoice()
groupByAddressDelivery()
groupByInvoiceDate()
groupByCurrencyId()
groupByCurrencyRate()
groupByTransaction()
groupByDeliveryNum()
groupByInvoice()
groupByPostage()
groupByPayment()
groupByCarrier()
groupByStatusId()
groupByLang()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinCurrency()
rightJoinCurrency()
innerJoinCurrency()
leftJoinCustomer()
rightJoinCustomer()
innerJoinCustomer()
leftJoinOrderAddressRelatedByAddressInvoice()
rightJoinOrderAddressRelatedByAddressInvoice()
innerJoinOrderAddressRelatedByAddressInvoice()
leftJoinOrderAddressRelatedByAddressDelivery()
rightJoinOrderAddressRelatedByAddressDelivery()
innerJoinOrderAddressRelatedByAddressDelivery()
leftJoinOrderStatus()
rightJoinOrderStatus()
innerJoinOrderStatus()
leftJoinOrderProduct()
rightJoinOrderProduct()
innerJoinOrderProduct()
leftJoinCouponOrder()
rightJoinCouponOrder()
innerJoinCouponOrder()
findOne()
findOneOrCreate()
findOneById()
findOneByRef()
findOneByCustomerId()
findOneByAddressInvoice()
findOneByAddressDelivery()
findOneByInvoiceDate()
findOneByCurrencyId()
findOneByCurrencyRate()
findOneByTransaction()
findOneByDeliveryNum()
findOneByInvoice()
findOneByPostage()
findOneByPayment()
findOneByCarrier()
findOneByStatusId()
findOneByLang()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByRef()
findByCustomerId()
findByAddressInvoice()
findByAddressDelivery()
findByInvoiceDate()
findByCurrencyId()
findByCurrencyRate()
findByTransaction()
findByDeliveryNum()
findByInvoice()
findByPostage()
findByPayment()
findByCarrier()
findByStatusId()
findByLang()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/OrderQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\OrderQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\OrderQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\OrderQuery

Returns a new ChildOrderQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\OrderQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Order|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Order|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\OrderQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\OrderQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByRef()

    filterByRef(string $ref, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the ref column

Example usage: `$query->filterByRef('fooValue'); // WHERE ref = 'fooValue' $query->filterByRef('%fooValue%'); // WHERE ref LIKE '%fooValue%'`

#### Parameters

string | $ref | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCustomerId()

    filterByCustomerId(mixed $customerId, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the customer_id column

Example usage: `$query->filterByCustomerId(1234); // WHERE customer_id = 1234 $query->filterByCustomerId(array(12, 34)); // WHERE customer_id IN (12, 34) $query->filterByCustomerId(array('min' => 12)); // WHERE customer_id > 12`

#### Parameters

mixed | $customerId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByAddressInvoice()

    filterByAddressInvoice(mixed $addressInvoice, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the address_invoice column

Example usage: `$query->filterByAddressInvoice(1234); // WHERE address_invoice = 1234 $query->filterByAddressInvoice(array(12, 34)); // WHERE address_invoice IN (12, 34) $query->filterByAddressInvoice(array('min' => 12)); // WHERE address_invoice > 12`

#### Parameters

mixed | $addressInvoice | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByAddressDelivery()

    filterByAddressDelivery(mixed $addressDelivery, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the address_delivery column

Example usage: `$query->filterByAddressDelivery(1234); // WHERE address_delivery = 1234 $query->filterByAddressDelivery(array(12, 34)); // WHERE address_delivery IN (12, 34) $query->filterByAddressDelivery(array('min' => 12)); // WHERE address_delivery > 12`

#### Parameters

mixed | $addressDelivery | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByInvoiceDate()

    filterByInvoiceDate(mixed $invoiceDate, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the invoice_date column

Example usage: `$query->filterByInvoiceDate('2011-03-14'); // WHERE invoice_date = '2011-03-14' $query->filterByInvoiceDate('now'); // WHERE invoice_date = '2011-03-14' $query->filterByInvoiceDate(array('max' => 'yesterday')); // WHERE invoice_date > '2011-03-13'`

#### Parameters

mixed | $invoiceDate | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCurrencyId()

    filterByCurrencyId(mixed $currencyId, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the currency_id column

Example usage: `$query->filterByCurrencyId(1234); // WHERE currency_id = 1234 $query->filterByCurrencyId(array(12, 34)); // WHERE currency_id IN (12, 34) $query->filterByCurrencyId(array('min' => 12)); // WHERE currency_id > 12`

#### Parameters

mixed | $currencyId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByCurrencyRate()

    filterByCurrencyRate(mixed $currencyRate, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the currency_rate column

Example usage: `$query->filterByCurrencyRate(1234); // WHERE currency_rate = 1234 $query->filterByCurrencyRate(array(12, 34)); // WHERE currency_rate IN (12, 34) $query->filterByCurrencyRate(array('min' => 12)); // WHERE currency_rate > 12`

#### Parameters

mixed | $currencyRate | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByTransaction()

    filterByTransaction(string $transaction, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the transaction column

Example usage: `$query->filterByTransaction('fooValue'); // WHERE transaction = 'fooValue' $query->filterByTransaction('%fooValue%'); // WHERE transaction LIKE '%fooValue%'`

#### Parameters

string | $transaction | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByDeliveryNum()

    filterByDeliveryNum(string $deliveryNum, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the delivery_num column

Example usage: `$query->filterByDeliveryNum('fooValue'); // WHERE delivery_num = 'fooValue' $query->filterByDeliveryNum('%fooValue%'); // WHERE delivery_num LIKE '%fooValue%'`

#### Parameters

string | $deliveryNum | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByInvoice()

    filterByInvoice(string $invoice, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the invoice column

Example usage: `$query->filterByInvoice('fooValue'); // WHERE invoice = 'fooValue' $query->filterByInvoice('%fooValue%'); // WHERE invoice LIKE '%fooValue%'`

#### Parameters

string | $invoice | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPostage()

    filterByPostage(mixed $postage, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the postage column

Example usage: `$query->filterByPostage(1234); // WHERE postage = 1234 $query->filterByPostage(array(12, 34)); // WHERE postage IN (12, 34) $query->filterByPostage(array('min' => 12)); // WHERE postage > 12`

#### Parameters

mixed | $postage | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPayment()

    filterByPayment(string $payment, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the payment column

Example usage: `$query->filterByPayment('fooValue'); // WHERE payment = 'fooValue' $query->filterByPayment('%fooValue%'); // WHERE payment LIKE '%fooValue%'`

#### Parameters

string | $payment | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCarrier()

    filterByCarrier(string $carrier, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the carrier column

Example usage: `$query->filterByCarrier('fooValue'); // WHERE carrier = 'fooValue' $query->filterByCarrier('%fooValue%'); // WHERE carrier LIKE '%fooValue%'`

#### Parameters

string | $carrier | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByStatusId()

    filterByStatusId(mixed $statusId, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the status_id column

Example usage: `$query->filterByStatusId(1234); // WHERE status_id = 1234 $query->filterByStatusId(array(12, 34)); // WHERE status_id IN (12, 34) $query->filterByStatusId(array('min' => 12)); // WHERE status_id > 12`

#### Parameters

mixed | $statusId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByLang()

    filterByLang(string $lang, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the lang column

Example usage: `$query->filterByLang('fooValue'); // WHERE lang = 'fooValue' $query->filterByLang('%fooValue%'); // WHERE lang LIKE '%fooValue%'`

#### Parameters

string | $lang | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\OrderQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCurrency()

    filterByCurrency(\Thelia\Model\Currency|\Propel\Runtime\Collection\ObjectCollection $currency, string $comparison) : \Thelia\Model\OrderQuery

Filter the query by a related \Thelia\Model\Currency object

#### Parameters

\Thelia\Model\Currency|\Propel\Runtime\Collection\ObjectCollection | $currency | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCurrency()

    joinCurrency(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Adds a JOIN clause to the query using the Currency relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### useCurrencyQuery()

    useCurrencyQuery(string $relationAlias, string $joinType) : \Thelia\Model\CurrencyQuery

Use the Currency relation Currency object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CurrencyQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCustomer()

    filterByCustomer(\Thelia\Model\Customer|\Propel\Runtime\Collection\ObjectCollection $customer, string $comparison) : \Thelia\Model\OrderQuery

Filter the query by a related \Thelia\Model\Customer object

#### Parameters

\Thelia\Model\Customer|\Propel\Runtime\Collection\ObjectCollection | $customer | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCustomer()

    joinCustomer(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Adds a JOIN clause to the query using the Customer relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### useCustomerQuery()

    useCustomerQuery(string $relationAlias, string $joinType) : \Thelia\Model\CustomerQuery

Use the Customer relation Customer object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CustomerQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByOrderAddressRelatedByAddressInvoice()

    filterByOrderAddressRelatedByAddressInvoice(\Thelia\Model\OrderAddress|\Propel\Runtime\Collection\ObjectCollection $orderAddress, string $comparison) : \Thelia\Model\OrderQuery

Filter the query by a related \Thelia\Model\OrderAddress object

#### Parameters

\Thelia\Model\OrderAddress|\Propel\Runtime\Collection\ObjectCollection | $orderAddress | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinOrderAddressRelatedByAddressInvoice()

    joinOrderAddressRelatedByAddressInvoice(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Adds a JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### useOrderAddressRelatedByAddressInvoiceQuery()

    useOrderAddressRelatedByAddressInvoiceQuery(string $relationAlias, string $joinType) : \Thelia\Model\OrderAddressQuery

Use the OrderAddressRelatedByAddressInvoice relation OrderAddress object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderAddressQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByOrderAddressRelatedByAddressDelivery()

    filterByOrderAddressRelatedByAddressDelivery(\Thelia\Model\OrderAddress|\Propel\Runtime\Collection\ObjectCollection $orderAddress, string $comparison) : \Thelia\Model\OrderQuery

Filter the query by a related \Thelia\Model\OrderAddress object

#### Parameters

\Thelia\Model\OrderAddress|\Propel\Runtime\Collection\ObjectCollection | $orderAddress | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinOrderAddressRelatedByAddressDelivery()

    joinOrderAddressRelatedByAddressDelivery(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Adds a JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### useOrderAddressRelatedByAddressDeliveryQuery()

    useOrderAddressRelatedByAddressDeliveryQuery(string $relationAlias, string $joinType) : \Thelia\Model\OrderAddressQuery

Use the OrderAddressRelatedByAddressDelivery relation OrderAddress object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderAddressQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByOrderStatus()

    filterByOrderStatus(\Thelia\Model\OrderStatus|\Propel\Runtime\Collection\ObjectCollection $orderStatus, string $comparison) : \Thelia\Model\OrderQuery

Filter the query by a related \Thelia\Model\OrderStatus object

#### Parameters

\Thelia\Model\OrderStatus|\Propel\Runtime\Collection\ObjectCollection | $orderStatus | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinOrderStatus()

    joinOrderStatus(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Adds a JOIN clause to the query using the OrderStatus relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### useOrderStatusQuery()

    useOrderStatusQuery(string $relationAlias, string $joinType) : \Thelia\Model\OrderStatusQuery

Use the OrderStatus relation OrderStatus object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderStatusQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByOrderProduct()

    filterByOrderProduct(\Thelia\Model\OrderProduct|\Propel\Runtime\Collection\ObjectCollection $orderProduct, string $comparison) : \Thelia\Model\OrderQuery

Filter the query by a related \Thelia\Model\OrderProduct object

#### Parameters

\Thelia\Model\OrderProduct|\Propel\Runtime\Collection\ObjectCollection | $orderProduct | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinOrderProduct()

    joinOrderProduct(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Adds a JOIN clause to the query using the OrderProduct relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### useOrderProductQuery()

    useOrderProductQuery(string $relationAlias, string $joinType) : \Thelia\Model\OrderProductQuery

Use the OrderProduct relation OrderProduct object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderProductQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCouponOrder()

    filterByCouponOrder(\Thelia\Model\CouponOrder|\Propel\Runtime\Collection\ObjectCollection $couponOrder, string $comparison) : \Thelia\Model\OrderQuery

Filter the query by a related \Thelia\Model\CouponOrder object

#### Parameters

\Thelia\Model\CouponOrder|\Propel\Runtime\Collection\ObjectCollection | $couponOrder | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCouponOrder()

    joinCouponOrder(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Adds a JOIN clause to the query using the CouponOrder relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### useCouponOrderQuery()

    useCouponOrderQuery(string $relationAlias, string $joinType) : \Thelia\Model\CouponOrderQuery

Use the CouponOrder relation CouponOrder object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CouponOrderQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\Order $order) : \Thelia\Model\OrderQuery

Exclude object from result

#### Parameters

\Thelia\Model\Order | $order | Object to remove from the list of results

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the order table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildOrder or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\OrderQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\OrderQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\OrderQuery

Order by update date desc

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\OrderQuery

Order by update date asc

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\OrderQuery

Order by create date desc

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\OrderQuery

Order by create date asc

#### Returns

\Thelia\Model\OrderQuery —

The current query, for fluid interface

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\OrderQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByRef()

    orderByRef($order =) : \Thelia\Model\OrderQuery

Order by the ref column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByCustomerId()

    orderByCustomerId($order =) : \Thelia\Model\OrderQuery

Order by the customer_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByAddressInvoice()

    orderByAddressInvoice($order =) : \Thelia\Model\OrderQuery

Order by the address_invoice column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByAddressDelivery()

    orderByAddressDelivery($order =) : \Thelia\Model\OrderQuery

Order by the address_delivery column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByInvoiceDate()

    orderByInvoiceDate($order =) : \Thelia\Model\OrderQuery

Order by the invoice_date column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByCurrencyId()

    orderByCurrencyId($order =) : \Thelia\Model\OrderQuery

Order by the currency_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByCurrencyRate()

    orderByCurrencyRate($order =) : \Thelia\Model\OrderQuery

Order by the currency_rate column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByTransaction()

    orderByTransaction($order =) : \Thelia\Model\OrderQuery

Order by the transaction column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByDeliveryNum()

    orderByDeliveryNum($order =) : \Thelia\Model\OrderQuery

Order by the delivery_num column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByInvoice()

    orderByInvoice($order =) : \Thelia\Model\OrderQuery

Order by the invoice column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByPostage()

    orderByPostage($order =) : \Thelia\Model\OrderQuery

Order by the postage column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByPayment()

    orderByPayment($order =) : \Thelia\Model\OrderQuery

Order by the payment column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByCarrier()

    orderByCarrier($order =) : \Thelia\Model\OrderQuery

Order by the carrier column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByStatusId()

    orderByStatusId($order =) : \Thelia\Model\OrderQuery

Order by the status_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByLang()

    orderByLang($order =) : \Thelia\Model\OrderQuery

Order by the lang column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\OrderQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\OrderQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\OrderQuery

Group by the id column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByRef()

    groupByRef() : \Thelia\Model\OrderQuery

Group by the ref column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByCustomerId()

    groupByCustomerId() : \Thelia\Model\OrderQuery

Group by the customer_id column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByAddressInvoice()

    groupByAddressInvoice() : \Thelia\Model\OrderQuery

Group by the address_invoice column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByAddressDelivery()

    groupByAddressDelivery() : \Thelia\Model\OrderQuery

Group by the address_delivery column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByInvoiceDate()

    groupByInvoiceDate() : \Thelia\Model\OrderQuery

Group by the invoice_date column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByCurrencyId()

    groupByCurrencyId() : \Thelia\Model\OrderQuery

Group by the currency_id column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByCurrencyRate()

    groupByCurrencyRate() : \Thelia\Model\OrderQuery

Group by the currency_rate column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByTransaction()

    groupByTransaction() : \Thelia\Model\OrderQuery

Group by the transaction column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByDeliveryNum()

    groupByDeliveryNum() : \Thelia\Model\OrderQuery

Group by the delivery_num column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByInvoice()

    groupByInvoice() : \Thelia\Model\OrderQuery

Group by the invoice column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByPostage()

    groupByPostage() : \Thelia\Model\OrderQuery

Group by the postage column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByPayment()

    groupByPayment() : \Thelia\Model\OrderQuery

Group by the payment column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByCarrier()

    groupByCarrier() : \Thelia\Model\OrderQuery

Group by the carrier column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByStatusId()

    groupByStatusId() : \Thelia\Model\OrderQuery

Group by the status_id column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByLang()

    groupByLang() : \Thelia\Model\OrderQuery

Group by the lang column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\OrderQuery

Group by the created_at column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\OrderQuery

Group by the updated_at column

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\OrderQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\OrderQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\OrderQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### leftJoinCurrency()

    leftJoinCurrency($relationAlias =) : \Thelia\Model\OrderQuery

Adds a LEFT JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### rightJoinCurrency()

    rightJoinCurrency($relationAlias =) : \Thelia\Model\OrderQuery

Adds a RIGHT JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### innerJoinCurrency()

    innerJoinCurrency($relationAlias =) : \Thelia\Model\OrderQuery

Adds a INNER JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### leftJoinCustomer()

    leftJoinCustomer($relationAlias =) : \Thelia\Model\OrderQuery

Adds a LEFT JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### rightJoinCustomer()

    rightJoinCustomer($relationAlias =) : \Thelia\Model\OrderQuery

Adds a RIGHT JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### innerJoinCustomer()

    innerJoinCustomer($relationAlias =) : \Thelia\Model\OrderQuery

Adds a INNER JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### leftJoinOrderAddressRelatedByAddressInvoice()

    leftJoinOrderAddressRelatedByAddressInvoice($relationAlias =) : \Thelia\Model\OrderQuery

Adds a LEFT JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### rightJoinOrderAddressRelatedByAddressInvoice()

    rightJoinOrderAddressRelatedByAddressInvoice($relationAlias =) : \Thelia\Model\OrderQuery

Adds a RIGHT JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### innerJoinOrderAddressRelatedByAddressInvoice()

    innerJoinOrderAddressRelatedByAddressInvoice($relationAlias =) : \Thelia\Model\OrderQuery

Adds a INNER JOIN clause to the query using the OrderAddressRelatedByAddressInvoice relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### leftJoinOrderAddressRelatedByAddressDelivery()

    leftJoinOrderAddressRelatedByAddressDelivery($relationAlias =) : \Thelia\Model\OrderQuery

Adds a LEFT JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### rightJoinOrderAddressRelatedByAddressDelivery()

    rightJoinOrderAddressRelatedByAddressDelivery($relationAlias =) : \Thelia\Model\OrderQuery

Adds a RIGHT JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### innerJoinOrderAddressRelatedByAddressDelivery()

    innerJoinOrderAddressRelatedByAddressDelivery($relationAlias =) : \Thelia\Model\OrderQuery

Adds a INNER JOIN clause to the query using the OrderAddressRelatedByAddressDelivery relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### leftJoinOrderStatus()

    leftJoinOrderStatus($relationAlias =) : \Thelia\Model\OrderQuery

Adds a LEFT JOIN clause to the query using the OrderStatus relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### rightJoinOrderStatus()

    rightJoinOrderStatus($relationAlias =) : \Thelia\Model\OrderQuery

Adds a RIGHT JOIN clause to the query using the OrderStatus relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### innerJoinOrderStatus()

    innerJoinOrderStatus($relationAlias =) : \Thelia\Model\OrderQuery

Adds a INNER JOIN clause to the query using the OrderStatus relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### leftJoinOrderProduct()

    leftJoinOrderProduct($relationAlias =) : \Thelia\Model\OrderQuery

Adds a LEFT JOIN clause to the query using the OrderProduct relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### rightJoinOrderProduct()

    rightJoinOrderProduct($relationAlias =) : \Thelia\Model\OrderQuery

Adds a RIGHT JOIN clause to the query using the OrderProduct relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### innerJoinOrderProduct()

    innerJoinOrderProduct($relationAlias =) : \Thelia\Model\OrderQuery

Adds a INNER JOIN clause to the query using the OrderProduct relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### leftJoinCouponOrder()

    leftJoinCouponOrder($relationAlias =) : \Thelia\Model\OrderQuery

Adds a LEFT JOIN clause to the query using the CouponOrder relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### rightJoinCouponOrder()

    rightJoinCouponOrder($relationAlias =) : \Thelia\Model\OrderQuery

Adds a RIGHT JOIN clause to the query using the CouponOrder relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### innerJoinCouponOrder()

    innerJoinCouponOrder($relationAlias =) : \Thelia\Model\OrderQuery

Adds a INNER JOIN clause to the query using the CouponOrder relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Order

Return the first ChildOrder matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Order

Return the first ChildOrder matching the query, or a new ChildOrder object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Order

Return the first ChildOrder filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByRef()

    findOneByRef(string $ref) : \Thelia\Model\Order

Return the first ChildOrder filtered by the ref column

#### Parameters

string | $ref |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByCustomerId()

    findOneByCustomerId(int $customer_id) : \Thelia\Model\Order

Return the first ChildOrder filtered by the customer_id column

#### Parameters

int | $customer_id |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByAddressInvoice()

    findOneByAddressInvoice(int $address_invoice) : \Thelia\Model\Order

Return the first ChildOrder filtered by the address_invoice column

#### Parameters

int | $address_invoice |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByAddressDelivery()

    findOneByAddressDelivery(int $address_delivery) : \Thelia\Model\Order

Return the first ChildOrder filtered by the address_delivery column

#### Parameters

int | $address_delivery |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByInvoiceDate()

    findOneByInvoiceDate(string $invoice_date) : \Thelia\Model\Order

Return the first ChildOrder filtered by the invoice_date column

#### Parameters

string | $invoice_date |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByCurrencyId()

    findOneByCurrencyId(int $currency_id) : \Thelia\Model\Order

Return the first ChildOrder filtered by the currency_id column

#### Parameters

int | $currency_id |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByCurrencyRate()

    findOneByCurrencyRate(double $currency_rate) : \Thelia\Model\Order

Return the first ChildOrder filtered by the currency_rate column

#### Parameters

double | $currency_rate |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByTransaction()

    findOneByTransaction(string $transaction) : \Thelia\Model\Order

Return the first ChildOrder filtered by the transaction column

#### Parameters

string | $transaction |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByDeliveryNum()

    findOneByDeliveryNum(string $delivery_num) : \Thelia\Model\Order

Return the first ChildOrder filtered by the delivery_num column

#### Parameters

string | $delivery_num |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByInvoice()

    findOneByInvoice(string $invoice) : \Thelia\Model\Order

Return the first ChildOrder filtered by the invoice column

#### Parameters

string | $invoice |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByPostage()

    findOneByPostage(double $postage) : \Thelia\Model\Order

Return the first ChildOrder filtered by the postage column

#### Parameters

double | $postage |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByPayment()

    findOneByPayment(string $payment) : \Thelia\Model\Order

Return the first ChildOrder filtered by the payment column

#### Parameters

string | $payment |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByCarrier()

    findOneByCarrier(string $carrier) : \Thelia\Model\Order

Return the first ChildOrder filtered by the carrier column

#### Parameters

string | $carrier |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByStatusId()

    findOneByStatusId(int $status_id) : \Thelia\Model\Order

Return the first ChildOrder filtered by the status_id column

#### Parameters

int | $status_id |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByLang()

    findOneByLang(string $lang) : \Thelia\Model\Order

Return the first ChildOrder filtered by the lang column

#### Parameters

string | $lang |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Order

Return the first ChildOrder filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Order

Return the first ChildOrder filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Order

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildOrder objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByRef()

    findByRef(string $ref) : array

Return ChildOrder objects filtered by the ref column

#### Parameters

string | $ref |

#### Returns

array

#

## Tags

None found

### findByCustomerId()

    findByCustomerId(int $customer_id) : array

Return ChildOrder objects filtered by the customer_id column

#### Parameters

int | $customer_id |

#### Returns

array

#

## Tags

None found

### findByAddressInvoice()

    findByAddressInvoice(int $address_invoice) : array

Return ChildOrder objects filtered by the address_invoice column

#### Parameters

int | $address_invoice |

#### Returns

array

#

## Tags

None found

### findByAddressDelivery()

    findByAddressDelivery(int $address_delivery) : array

Return ChildOrder objects filtered by the address_delivery column

#### Parameters

int | $address_delivery |

#### Returns

array

#

## Tags

None found

### findByInvoiceDate()

    findByInvoiceDate(string $invoice_date) : array

Return ChildOrder objects filtered by the invoice_date column

#### Parameters

string | $invoice_date |

#### Returns

array

#

## Tags

None found

### findByCurrencyId()

    findByCurrencyId(int $currency_id) : array

Return ChildOrder objects filtered by the currency_id column

#### Parameters

int | $currency_id |

#### Returns

array

#

## Tags

None found

### findByCurrencyRate()

    findByCurrencyRate(double $currency_rate) : array

Return ChildOrder objects filtered by the currency_rate column

#### Parameters

double | $currency_rate |

#### Returns

array

#

## Tags

None found

### findByTransaction()

    findByTransaction(string $transaction) : array

Return ChildOrder objects filtered by the transaction column

#### Parameters

string | $transaction |

#### Returns

array

#

## Tags

None found

### findByDeliveryNum()

    findByDeliveryNum(string $delivery_num) : array

Return ChildOrder objects filtered by the delivery_num column

#### Parameters

string | $delivery_num |

#### Returns

array

#

## Tags

None found

### findByInvoice()

    findByInvoice(string $invoice) : array

Return ChildOrder objects filtered by the invoice column

#### Parameters

string | $invoice |

#### Returns

array

#

## Tags

None found

### findByPostage()

    findByPostage(double $postage) : array

Return ChildOrder objects filtered by the postage column

#### Parameters

double | $postage |

#### Returns

array

#

## Tags

None found

### findByPayment()

    findByPayment(string $payment) : array

Return ChildOrder objects filtered by the payment column

#### Parameters

string | $payment |

#### Returns

array

#

## Tags

None found

### findByCarrier()

    findByCarrier(string $carrier) : array

Return ChildOrder objects filtered by the carrier column

#### Parameters

string | $carrier |

#### Returns

array

#

## Tags

None found

### findByStatusId()

    findByStatusId(int $status_id) : array

Return ChildOrder objects filtered by the status_id column

#### Parameters

int | $status_id |

#### Returns

array

#

## Tags

None found

### findByLang()

    findByLang(string $lang) : array

Return ChildOrder objects filtered by the lang column

#### Parameters

string | $lang |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildOrder objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildOrder objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Order

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Order —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Order|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Order|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### OrderQuery.php